# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name prelude-extras

Name:           ghc-%{pkg_name}
Version:        0.4
Release:        2%{?dist}
Summary:        Haskell98 higher order versions of Prelude classes

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros

%description
Haskell98 higher order versions of Prelude classes to ease programming with
polymorphic recursion and reduce UndecidableInstances

See <http://flint.cs.yale.edu/trifonov/papers/sqcc.pdf> for further discussion
of the approach taken here.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Thu Feb 26 2015 Ben Boeckel <mathstuf@gmail.com> - 0.4-2
- update summary

* Tue Feb 24 2015 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.4-1
- spec file generated by cabal-rpm-0.9.3
